Subject: bug#71070: 30.0.50; c++-ts-mode namespace wrong fontification.

From: Dmitry Gutov <[email-masked]>
Date: Thu, 6 Jun 2024 23:16:18 +0300

On 06/06/2024 08:28, Yuan Fu wrote:
>> Seems like it (although some themes might use some additional colors to differentiate between these two, the default theme does not).
>>
>> Perhaps it is done so that the expression foo::class_name reads naturally (in one color).
> Am I missing something? I got the exact opposite conclusion from the screenshot: it seems the effect is that namespaces are colored differently from class names:

The class names I meant are A and B on my screenshot.

Maybe tree-sitter doesn't see them as class names specifically, just 
non-primitive identifiers in type position.